Loading...
Searching...
No Matches
BSPSceneManager
Plugins

Binary Space Parition (BSP) based indoor level scene manager. More...

## Classes

class | Ogre::BspIntersectionSceneQuery
| BSP specialisation of IntersectionSceneQuery. More...
class | Ogre::BspLevel
| Holds all the data associated with a Binary Space Parition (BSP) based indoor level. More...
class | Ogre::BspNode
| Encapsulates a node in a BSP tree. More...
class | Ogre::BspRaySceneQuery
| BSP specialisation of RaySceneQuery. More...
class | Ogre::BspSceneManager
| Specialisation of the SceneManager class to deal with indoor scenes based on a BSP tree. More...
class | Ogre::BspSceneManagerFactory
| Factory for BspSceneManager. More...
class | Ogre::BspSceneNode
| Specialisation of SceneNode for the BspSceneManager. More...
class | Ogre::Quake3Level
| Support for loading and extracting data from a Quake3 level file. More...
class | Ogre::Quake3Shader
| Class for recording Quake3 shaders. More...
class | Ogre::Quake3ShaderManager
| Class for managing Quake3 custom shaders. More...
struct | Ogre::WorldFragment
| Represents part of the world geometry that is a result of a SceneQuery. More...

## Typedefs

typedef SharedPtr< BspLevel > | Ogre::BspLevelPtr

## Enumerations

enum | Ogre::WorldFragmentType { Ogre::WFT_NONE , Ogre::WFT_PLANE_BOUNDED_REGION , Ogre::WFT_SINGLE_INTERSECTION , Ogre::WFT_CUSTOM_GEOMETRY , Ogre::WFT_RENDER_OPERATION }
| This type can be used by collaborating applications & SceneManagers to agree on the type of world geometry to be returned from queries. More...

## Detailed Description

Binary Space Parition (BSP) based indoor level scene manager.

## Typedef Documentation

## BspLevelPtr

typedef SharedPtr<BspLevel> Ogre::BspLevelPtr

## Enumeration Type Documentation

## WorldFragmentType

enum Ogre::WorldFragmentType

This type can be used by collaborating applications & SceneManagers to agree on the type of world geometry to be returned from queries.

Not all these types will be supported by all SceneManagers; once the application has decided which SceneManager specialisation to use, it is expected that it will know which type of world geometry abstraction is available to it.

Enumerator
WFT_NONE | Return no world geometry hits at all.
WFT_PLANE_BOUNDED_REGION | Return pointers to convex plane-bounded regions.
WFT_SINGLE_INTERSECTION | Return a single intersection point (typically RaySceneQuery only).
WFT_CUSTOM_GEOMETRY | Custom geometry as defined by the SceneManager.
WFT_RENDER_OPERATION | General RenderOperation structure.